/**
 * This contains information about the encoding of the video file
 */
interface CodecType {
    name?: string;
    type?: 'video';
    longName?: string;
}
/**
 * This represents the extracted data from a video-file
 */
interface VideoMetadata {
    codec: CodecType;
    width?: number;
    height?: number;
    aspectRatio?: string;
    frameRate?: number;
    bitRate?: number;
    duration?: number;
}
/**
 * Returns the Video-MetaData of a local file
 * @param {String} videoFile Path to local file
 * @throws {Error} Will get thrown if file does not exist, ffmpeg/ffprobe is missing or can not be read
 * @returns {VideoMetadata} Metadata of the local video-file
 */
export declare function getVideoMetadata(videoFile: string): Promise<VideoMetadata>;
export {};
